Bug 1294444 (CVE-2015-8665) - CVE-2015-8665 libtiff: Out-of-bounds read in tif_getimage.c
Summary: CVE-2015-8665 libtiff: Out-of-bounds read in tif_getimage.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8665
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20151224,reported=2...
Depends On: 1299918 1299919 1299920 1299921 1335098 1335099
Blocks: 1294418
TreeView+ depends on / blocked
 
Reported: 2015-12-28 08:29 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 20:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-13 09:25:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1546 normal SHIPPED_LIVE Important: libtiff security update 2016-08-02 20:59:03 UTC
Red Hat Product Errata RHSA-2016:1547 normal SHIPPED_LIVE Important: libtiff security update 2016-08-02 20:39:45 UTC

Description Huzaifa S. Sidhpurwala 2015-12-28 08:29:14 UTC
An Out-of-bounds read flaw was found in libtiff. An attacker could create a specially-crafted TIFF file, which could cause libtiff to crash.

Reference:

http://www.openwall.com/lists/oss-security/2015/12/24/4

Comment 2 Petr Hracek 2016-02-11 14:39:08 UTC
Please inform me when you will have a patch or at least a reference for the bugzilla.

Greetings
Petr

Comment 7 errata-xmlrpc 2016-08-02 16:41:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:1547 https://rhn.redhat.com/errata/RHSA-2016-1547.html

Comment 8 errata-xmlrpc 2016-08-02 17:00:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1546 https://rhn.redhat.com/errata/RHSA-2016-1546.html


Note You need to log in before you can comment on or make changes to this bug.